Name:       python3-spark_parser
Version:    1.8.7
Release:    1%{?dist}
Summary:    An Earley Algorithm Parser toolkit

Group:      Development
License:    MIT
URL:        https://github.com/rocky/python-spark/
Source0:    spark_parser-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python-rpm-macros
BuildRequires: python3-rpm-macros
BuildRequires: python3-setuptools

%description
An Earley Algorithm Parser toolkit

%prep
%setup -q -n spark_parser-%{version}
sed -i -e "s/env python/env python3/g" setup.py
sed -i -e "s/env python/env python3/g" bin/spark-parser-coverage

%build
%{py3_build}

%install
%{py3_install}

%files
%license LICENSE
%doc ChangeLog README.rst
%{_bindir}/spark-parser-coverage
%{python3_sitelib}/spark_parser
%{python3_sitelib}/spark_parser-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Mar 13 2020 Yupeng Chang <ypchang@ambarella.com> - 1.8.9-1
- Update to 1.8.9

* Thu Nov 08 2018 Yupeng Chang <ypchang@ambarella.com> - 1.8.7-1
- Initial build
